Skip to main content

Add Notes V2

PUT 

/friends/v2/player/:player_uuid/friend/:other_player_uuid/notes

Update Player's notes on the other player. Players can only add notes for players they have relationship's with. The notes will be removed when the relationship is ended.

Permissions Required: friend:friend_list:write

Request

Path Parameters

    player_uuid uuidrequired
    other_player_uuid uuidrequired

Header Parameters

    if-match If-Match

    If you provide the ETag that does not matches the current ETag for this resource, a 412 response will be return - indicating that the resource has changed.

Body

required

    notes Notes to set for the Player's friend. If you don't want to modify notes, no not include a body when adding a friend. (string)

    Possible values: non-empty and <= 4000 characters

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    friends_player_uuid uuidrequired
    status FriendshipStatus (string)required

    Possible values: [NONE, FRIENDS, FRIEND_REQUEST_SENT, FRIEND_REQUEST_PENDING, FRIEND_REQUEST_DECLINED_BY_OTHER]

    An enumeration.

    notes Player's notes about the other player (string)
    last_modified_on date-timerequired
Loading...